# Uses of Class
java.util.Observable

Packages that use Observable
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

- ## Uses of Observable in java.util

  Methods in java.util with parameters of type Observable
  Modifier and Type
  Method
  Description
  `void`
  Observer.`update(Observable o, Object arg)`
  Deprecated.
  This method is called whenever the observed object is changed.